#include <bits/stdc++.h>
#include <string>
using namespace std;


int main() {

    ios::sync_with_stdio(false);
    cin.tie(0);

    int n;
    long long p;
    cin>>n;
    cin>>p;

    long long x;
    int f=0;
    int j=0;
    for(int i=1;i<n+1;i++){
        cin>>x;
        if(x<=p && f==0){
            j=i;
            f=1;
        }
    }

    if(f==0){
        cout<<-1;
    }else{
        cout<<j;
    }


    return 0;

}